Problemas al actualizar WooCommerce con tema ya diseñado  

 
Manuel
 Manuel
Usuario activo

Buenas tardes,

 

Recientemente hemos actualizado nuestro Wordpress a la última versión 5.6 y en consecuencia todos los plugins excepto WooCommerce, que lo hemos dejado en 3.2.0 ya que al actualizar a la última versión 4.8 nuestra web se descuadra al completo.

 

Muchos bloques que teníamos del maquetador que usábamos han desparecido, como se muestra en la siguiente imagen:

image

 

Por tanto, si actualizamos WooCommerce todo eso se descuadra y no aparece tal y como estaba. La imagen está tomada con la versión antigua de WooCommerce pero que aun así no reconoce los bloques hechos en las versiones anteriores de Wordpress.

 

 

¿Alguna idea de qué está ocurriendo y consejos para terminar las actualizaciones y poder llevar a cabo la de WooCommerce y posteriormente los PHP?

 

 

Muchas gracias de antemano.

Contenido solo visible a usuarios registrados

Citar
Respondido : 09/01/2021 2:25 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Manuel,

Ya que estas actualizando el wordpress a la ultima versión comprueba que versión de PHP tienes, prueba configurarla en la versión 7.3 o 7.4

Ten en cuenta que algunos plugins solo son compatibles con una versión especifica de PHP entre estos woocommerce que debe usar como mínimo la versión 7.0

PD: Recuerda siempre antes de realizar cualquier cambio realizar una copia de seguridad de tu sitio web de esta forma si se genera algun error puedes restaurarla -> https://www.webempresa.com/blog/backups-wordpress-en-2-minutos-con-all-in-one-migration.html

Un Saludo

ResponderCitar
Respondido : 09/01/2021 2:53 pm

Cursos Gratuitos WordPress

Manuel
 Manuel
Usuario activo

Hola @karen,

 

 

Muchas gracias por tu contestación. La actualización de PHP es otra de las actualizaciones que hemos dado marcha atrás debido al problema que comentaba... Digamos que los problemas que nos vamos encontrando son los siguientes:

1. Actualizamos todos los plugins a su última versión excepto WooCommerce, que nos pone la siguiente advertencia:

 

image

 

Por tanto, se deja todo actualizado excepto WooCommerce.

 

3. Procedemos a actualizar Tema, aparentemente ya actualizado: OK

4. Actualizamos Wordpress a la última versión: todo aparentemente OK (VERSIÓN 4.8)

5. Algunas páginas de la web se quedan descuadradas (todas las que tienen que ver con WooCommerce: checkout, carrito...) --> Aquí empieza el problema

6. Actualizamos PHP a última versión

7. Actualizamos WooCommerce y comparamos las plantillas que están obsoletas para actualizarlas y reemplazarlas en nuestro webpanel, algo como esto:

 

image

 

 

8. Reemplazamos paso por paso todas las plantillas pero todo queda muy descuadrado...

9. Para solucionarlo, tiramos del backup hecho anteriormente y poder dejar las plantillas OK. Para ello, tenemos que volver a la versión antigua de WooCommerce (3.2.0) y a un PHP menos actualizado.

 

¿Qué puede estar ocurriendo? Muchas gracias de antemano por la ayuda.

 

Nota: según el desarollador del tema, es compatible con las últimas versiones de WooCommerce y Wordpress...

ResponderCitar
Respondido : 09/01/2021 9:04 pm
Argenis
 Argenis
Soporte CMS Webempresa Moderator

Hola Manuel,

Te comento que primero lo mas recomendable es hacer un clon de tu web en el cual hagas estos ajustes de forma que no se pierda el contenido de tu web actual sobre todo cuando los cambios son tan bruscos, te comparto una guía de como clonar tu web > https://guias.webempresa.com/preguntas-frecuentes/clonar-mi-web/.

Luego de esto verifica primero antes de comenzar a actualizar la versión del woocommerce que según entiendo es lo único que falta por actualizar y es el causante del problema, tener la versión php en 7.3, luego de que asignes esta versión modifica los parámetros de la versión php:

image

Sigue estos parámetros de ejemplo, aunque están altos los utilizaras para evitar problemas de desconfiguración por no tener un tiempo de ejecución alto para la actualización del woocommerce.

Luego de esto ya puedes ingresar a tu wordpress y verificar actualizando si se vuelve a romper (CLON), nos compartes un link de la ruptura en caso que no sea satisfactorio el proceso.

Un saludo 🖐️ 

ResponderCitar
Respondido : 09/01/2021 9:49 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Manuel
 Manuel
Usuario activo

@argenis, muchas gracias por tu ayuda. He conseguido ponerlo en marcha en la web en producción siguiendo tus pasos. Pero me surgen varias dudas, a ver si me puedes ayudar:

 

1. Los parámetros de PHP que me recomendaste configurar, ¿los dejo así para siempre o solo era para la prueba con el clon? ¿Qué me recomiendas?

2. Una vez hecho toda la actualización, los bloques que añadía de WooCommerce con las versiones anteriores de Wordpress se me ven sin poderlos editar como hacía antes. ¿Qué me recomiendas?

Así es como me aparece a la hora de editar la página con Elementor o sin él, da igual.

image

 

3. Por último, y relacionado con todas las actualizaciones: el desarrollador del tema que utilizo me dice que aun no es compatible con la última versión de WooCommerce. ¿Qué me recomiendas hacer entonces? Como ves en el siguiente aviso muchas plantillas se han quedado obsoletas:

 

image

 

 

Muchas gracias de antemano. Un saludo,

 

ResponderCitar
Respondido : 10/01/2021 3:02 pm
Karen Rios
 Karen Rios
Soporte CMS Webempresa Moderator

Hola Manuel,

Enhorabuena haz logrado actualizar lo que necesitas, te comento sobre tus dudas

Respondido por: @manuelgalphotmail-com

1. Los parámetros de PHP que me recomendaste configurar, ¿los dejo así para siempre o solo era para la prueba con el clon? ¿Qué me recomiendas?

Puedes probar establecer tus parámetros en:

max_execution_time: 300 
max_input_time: 600
memory_limit: 512M

Si ves que algún plugin no te permite funcionar de forma adecuada puedes establecerlos como en el ejemplo que envia Argenis

Respondido por: @manuelgalphotmail-com

2. Una vez hecho toda la actualización, los bloques que añadía de WooCommerce con las versiones anteriores de Wordpress se me ven sin poderlos editar como hacía antes. ¿Qué me recomiendas?

Veo que tienes un shortcode que añade en constructor de visual composer dentro del elementor de acuerdo a la imagen que nos compartes, ten en cuenta que elementor no es compatible con este constructor por lo que solo debes seleccionar uno para editar el bloque de tus productos.

Respondido por: @manuelgalphotmail-com

3. Por último, y relacionado con todas las actualizaciones: el desarrollador del tema que utilizo me dice que aun no es compatible con la última versión de WooCommerce. ¿Qué me recomiendas hacer entonces? Como ves en el siguiente aviso muchas plantillas se han quedado obsoletas:

En este caso puedes dejar la versión de woocommerce que es compatible con tu tema y esperar a que el desarrollador proporcione una nueva actualización del tema que sea compatible con woocommerce, otra opciones es evaluar usar un tema diferente que sea totalmente compatible con la ultima versión de woocommerce solo te en cuenta que entonces debes modificar todo el diseño de tu sitio ya que los estilos y estructura del tema anterior no serán validos para este.

Un Saludo

 

 

ResponderCitar
Respondido : 10/01/2021 3:31 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Manuel
 Manuel
Usuario activo

@karen Muchas gracias, pudimos llevar todo a cabo!!

 

PD: Perdona que se quedó la respuesta en el limbo 🙂

ResponderCitar
Respondido : 28/01/2021 10:42 pm
Bulmaro
 Bulmaro
Soporte CMS Webempresa Moderator

Hola Manuel, 

Por lo que entiendo tu consulta/problema ha quedado resuelto, ¿Podemos entonces proceder a cerrar este hilo del foro? 

Saludos

ResponderCitar
Respondido : 28/01/2021 11:07 pm

wpdoctor-revisa-la-salud-de-tu-wordpress